com.sun.jna.platform.win32

## Class WinReg.HKEYByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.ptr.ByReference
    - - com.sun.jna.platform.win32.WinReg.HKEYByReference

- All Implemented Interfaces:
    NativeMapped
  Enclosing interface:
    WinReg

      public static class WinReg.HKEYByReference
      extends ByReference

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HKEYByReference()`
    `HKEYByReference(WinReg.HKEY h)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WinReg.HKEY` | `getValue()`
    `void` | `setValue(WinReg.HKEY h)`

    - ### Methods inherited from class com.sun.jna.ptr.ByReference

      `toString`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HKEYByReference

          public HKEYByReference()

    - #### HKEYByReference

          public HKEYByReference(WinReg.HKEY h)

  - ### Method Detail

    - #### setValue

          public void setValue(WinReg.HKEY h)

    - #### getValue

          public WinReg.HKEY getValue()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.